package com.ssj.service.conch.parents.v2.request;

import com.ssj.service.conch.parents.v2.dto.KnowledgePointMasteryDTO;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;
import java.util.List;

/**
 * @author yrf
 * @date 2020/4/21 11:30
 */
public class WeeklySynchronousTrainReq implements Serializable {

    private static final long serialVersionUID = -142907867163110803L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    @NotBlank
    private String vipId;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    @NotBlank
    private String subject;

    @ApiModelProperty(name = "knowledgePointMasteryList", value = "知识点掌握情况列表")
    private List<KnowledgePointMasteryDTO> knowledgePointMasteryList;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public List<KnowledgePointMasteryDTO> getKnowledgePointMasteryList() {
        return knowledgePointMasteryList;
    }

    public void setKnowledgePointMasteryList(List<KnowledgePointMasteryDTO> knowledgePointMasteryList) {
        this.knowledgePointMasteryList = knowledgePointMasteryList;
    }

}
